@charset "utf-8";
@layer base {
    input[type="number"]::-webkit-inner-spin-button,
    input[type="number"]::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
    
    input[type=number]{
        -moz-appearance: textfield;
    }
  }
/*Part PC*/
html{
    scroll-behavior: smooth;
}

#simple{ 
    margin:0px;
    font-family: courier new; 
    background: #36c2e9;
    min-height: 100%;
}

#intervalos{ 
    margin:0px;
    font-family: courier new; 
    background: #c13030;
    min-height: 100%;
}

#videos{ 
    margin:0px;
    font-family: courier new; 
    background: #35bb52;  
    min-height: 100%;
}

#Media_icono{ /*Cambia el icono de Media, no borrar*/
    font-family: sans-serif;
}

.contenidor{ /*header i footer*/
    height: 30px; 
    background-color: black;
    padding: 0px; 
    color: white;
} 
.contenidor a{
    color: white;
}
.contenidor a:hover{
    color: white;
}
.contenidor > a > p {
    font-size: 80%; 
    padding: 10px 10px 1px 0;
}
.imagenes{  
    transform: translateX(150%) scale(1.4); 
    width: 25%;
    margin: 5px 3px;
}

#arreglar_img_amplitud{
    transform: translateX(150%) scale(1);
    width: auto;
}
#arreglar_moda{
    width: 75%;
    margin: 5px 3px;
    transform: none;
}

.imagenes2{   
    transform: translateX(210%);
    width: 15%;
    margin: 5px 3px;
}

.lineas{
    text-align: center;
}

h1{
    color: white;
    padding: 0 10px;
    margin: 0;
}


#text1, #text2{
    margin: 0px 10px 10px 10px;
}

h2{
    color: white;
    background-color: black;
    text-align: center; 
    font-size: 150%;
    padding: 10px; 
    margin: 0; 
    border-top-left-radius: 22px; 
    border-top-right-radius: 22px;
}


#insert_dades, #agrupacio_dades2, #resultats_box{
    padding: 0px 10px 10px 10px;
}
#agrupacio_dades{
    transform: translateX(30px);
}
.agrupacio_dades3{
    text-align: center;
    transform: translateX(25%);
    padding: 0px 10px 10px 10px;

}
.agrupacio_dades4, .agrupacio_dades5{
    text-align: center;
    transform: translateX(15%);
}

a{
    color: black;
    text-decoration: none;
}
a:hover{
    color: #4163df;
}
#link_videos{
    color: rgb(2, 88, 4);
    text-decoration: none;
}
#link_videos:hover{
    color: rgb(0, 168, 6);
}

select{
    background:#bae9ff;
    border-radius: 25%;
    border-width: 2px;
    border-color: black;
}

#cuadro_no_agrupados{
    border-color: rgba(0, 0, 0, 0.4);
    font-weight: bold;
    font-size: 110%;
}

.escriume_simple{
    background:#bae9ff;
}
.escriume_intervalos{
    background: #ffb4b4;
}

.botons{
    margin: 10px 0;
    border-color: rgba(0, 0, 0, 0.4);
    font-weight: bold;
    font-size: 110%;
    border-radius: 25%;
}

.btn_simple{
    background-color : rgba(0, 128, 255, 0.4);
}
.btn_simple:hover{
    background-color: rgba(0, 195, 255, 0.4);
    box-shadow: 0 0 10px rgba(0, 195, 255, 1);
}
.btn_intervalos{
    background-color : rgba(221, 0, 0, 0.65);
}
.btn_intervalos:hover{
    color: #ab0000;
    background-color: rgba(255, 33, 33, 0.4);
    box-shadow: 0 0 10px rgb(255, 0, 0);
}

.boto_videos{
    font-weight: bold;
    display: inline-block;
    margin-left: 25%;
    color: black;
    font-weight: bold;
    padding: 1px 5px;
    border-style: solid;
    border-width: 2px;
    background-color : rgba(0, 163, 3, 0.4);
    border-color: rgba(0, 0, 0, 0.4);
    border-radius: 25%;
    text-align: center;
}
.boto_videos:hover{
    color: #00ab25;
    background-color: rgba(0, 255, 4, 0.4);
    box-shadow: 0 0 10px rgb(0, 255, 42);
}

.boto_intervalos{
    font-weight: bold;
    display: inline-block;
    margin-left: 25%;
    color: black;
    font-weight: bold;
    padding: 1px 5px;
    border-style: solid;
    border-width: 2px;
    background: #c13030;    
    border-color: rgba(0, 0, 0, 0.4);
    border-radius: 25%;
    text-align: center;
}
.boto_intervalos:hover{
    color: #ab0000;
    background: #ff3e3e;    
    box-shadow: 0 0 10px rgb(255, 0, 0);
}

.boto_simple{
    font-weight: bold;
    display: inline-block;
    margin-left: 25%;
    color: black;
    font-weight: bold;
    padding: 1px 5px;
    border-style: solid;
    border-width: 2px;
    background-color: #1497bb;    
    border-color: rgba(0, 0, 0, 0.4);
    border-radius: 25%;
    text-align: center;
}
.boto_simple:hover{
    background-color: #1aaad1;
    box-shadow: 0 0 10px rgba(0, 195, 255, 1);
}

.tornar{
    font-weight: bold;
    display: inline-block;
    margin-left: 50%;
    color: black;
    font-weight: bold;
    padding: 1px 5px;
    border-style: solid;
    border-width: 2px;
    border-color: rgba(0, 0, 0, 0.4);
    border-radius: 25%;
    text-align: center;
}
.tornar_simple{
    background-color: #1497bb;    
}
.tornar_simple:hover{
    background-color: #1aaad1;
    box-shadow: 0 0 10px rgba(0, 195, 255, 1);
}
.tornar_intervalos{
    background: #c13030;    
}
.tornar_intervalos:hover{
    color: #ab0000;
    background: #ff3e3e;    
    box-shadow: 0 0 10px rgb(255, 0, 0);
}
#tornar1{
    display: none;
}
#tornar_video1{
    margin-left: 30%;
}

iframe{
    width: 100%;
    padding: 10px 0;
}

/*tot tema quadres perposar les dades*/ 
#body_estructura{
    text-align: center;
    display: flex;             /*ho posem en columnes*/
    flex-wrap: wrap;        /*hi posem ordre acord al tamany de pantalla*/
    justify-content: center; /*Tot al centre*/
    align-items: flex-start; /*Això fa que els divs mantinguin cadascú la seva llargaria i no s'adapti al més llarg*/
}

.box{
    background: rgb(255 255 255 / 80%);
    border-top-left-radius: 25px 25px;
    border-top-right-radius: 25px 25px;
    margin: 20px 20px;
    box-shadow: 5px 20px 10px 2px rgba(0, 0, 0, 0.2);
    border-style: solid;
    border-width: 2px;
    border-color: rgb(0 0 0 / 84%);
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
}

.box2{
    width: 60vw;
    background: rgb(255 255 255 / 80%);
    border-top-left-radius: 25px 25px;
    border-top-right-radius: 25px 25px;
    margin: 20px 20px;
    box-shadow: 5px 20px 10px 2px rgba(0, 0, 0, 0.2);
    border-style: solid;
    border-width: 2px;
    border-color: rgb(0 0 0 / 84%);
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
}

#resultats_box{
    padding: 0 4% 3% 4%;
    text-align: left;
    line-height: 1.6;
}


.resultats{
    border-color: rgba(0, 0, 0, 0.4);
    width: 60px;
    font-weight: bold;
    font-size: 101%;
    text-align: center;
}
th{
    font-size: 110%;
}

.quadre_quant{
    text-align: center;
    width:60px;
    margin: 7px 7px;
    border-color: rgba(0, 0, 0, 0.4);
    transform: scale(1.2,1.2);
    font-weight: bold;
}

/*Aquí van els colors quadre quant i resultats*/
.simple_quadre{
    background:rgba(0, 174, 255, 0.514);
}
.interv_quadre{
    background: rgb(255 59 59 / 51%);
}

footer{
    text-align: center;
    width: 100%;
}

/*Part RESPONSIVE*/
@media (max-width:1000px) {
    .box2{
        width: 80vw;
    }

    .agrupacio_dades4, .agrupacio_dades5{
        transform: translateX(10%);
    }
}

@media (max-width:800px) {  
    .imagenes{   
        transform: translateX(50%);
        width: 50%;
        margin: 5px 3px;
    }
    
    .imagenes2{  
        transform: translateX(70%); 
        width: 30%;
        margin: 5px 3px;
    }

    #arreglar_img_amplitud{
        transform: translateX(50%);
    }
    #arreglar_moda{
        transform: translateX(1%);
        width: 100%;
        margin: 5px 3px;
    }
}

@media (max-width:725px) {  
    #tornar1{
        display: inline;
        margin-left: auto;
    }
}

@media (max-width:653px) {

    h2:nth-of-type(1){
        display: flex;           
        flex-wrap: wrap;       
        justify-content: center; 
        align-items: flex-start;
    }

    select{
        border-width: 2px;
        font-size: 4vw;
        border-color: black;
    }

    #agrupacio_dades, .agrupacio_dades3, .agrupacio_dades4{
        transform: none;
        white-space: nowrap; /*Això fa que es vegi en linea les merdetes de les gràfiques*/
    }
    #agrupacio_dades > table{
        margin-left: auto;
        margin-right: auto;
    }
    
    .lletra_footer{
        display: none;
    }

    
    /*#text1{
        font-size: 2.5vw;
    }*/
   
    #amagar_ajuda:before{
        font-size: 7vw;
    }
    h4 > button > i{
        font-size: 24px;
        text-align: center;  
    }
   
    .quadre_quant{
        font-size: 3vw;
    }
    .wcent{
        width: 60%;
    }
    .wpx, .wvar1, .wvar1inp{
        width: 60px;
    }
    .wFi, .whivar{
        width: 50%;
    }
    .whi{
        width: 40%;
    }

    .quadre_quant0, .quadre_quant1{
        width: 80%;
        height: 30px;
        font-size: 4vw;
    }

    .resultats{
        width: 20%;
        font-size:4vw;
    }
    .box2{
        width: auto;
    }
}

@media (max-width:515px) {
    .wvar1{
        width: 40%;
    }
    .wvar2{
        width: 10vw;
    }
    .wvar1inp{
        width: 70%;
    }
    .p_varianza1{
        width: 110%;
    }
    .p_varianza2{
        width: 145%;
    }
    .p_varianza3 > input{
        width: 9vw;
    }
    .agrupacio_dades5{
        transform: translateX(-5%);
    }
    #tornar_video1{
        width: 45%;
    }
    
}
